Bug 144715 - Simple body string filter on Exchange mailbox hangs
Simple body string filter on Exchange mailbox hangs
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2005-01-10 16:53 EST by Per Nystrom
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-01 12:11:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Debug output when trying to use string search in vfolder (5.99 KB, text/plain)
2005-01-10 23:33 EST, Per Nystrom
no flags Details

  None (edit)
Description Per Nystrom 2005-01-10 16:53:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The filter looks for a particular string in the bodies of messages in
an Exchange mailbox.  When I use it in evolution 1.4.6 under FC2, it
takes about 5 seconds to complete with about 300 messages in the
mailbox.  The same filter seems to just hang in evolution 2.0.2 under FC3.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Dave Malcolm 2005-01-10 18:16:53 EST
This is a "Filter", rather than a "Search", right?
When you say it hung, did the whole UI lock up, or did the filter seem
to to merely stop working?   Were you able to select other folders in
the folder tree, for example?

I just tried creating a test filter for "Body Contains" the word
"test" on an Exchange account, and it worked for me (evolution-2.0.3-1
in this case).
Comment 2 Per Nystrom 2005-01-10 18:24:09 EST
Sorry, I was using "filter" in the generic sense.  What I had actually
done was create a virtual folder with this, and so I guess that falls
more under the "search" functionality.

It's not a total lockup, but when I click on the virtual folder the
stop button lights up red, stays that way, and nothing ever shows up
in the virtual folder.  I can still do other things.
Comment 3 Dave Malcolm 2005-01-10 19:29:01 EST
I tried doing this on my own box, and it worked OK; I can click on the
vfolder and see messages.  Can you reproduce this behaviour?

If so, can you make sure evolution is fully shut down (including the
evolution-exchange-storage process) and try running:


This should give a torrent of (hopefully) useful debug information...
Comment 4 Per Nystrom 2005-01-10 23:33:45 EST
Created attachment 109593 [details]
Debug output when trying to use string search in vfolder

It gets stranger and stranger.	The Vfolder shows nothing in it again, after a
fresh import of my old ~/evolution directory.  I then fixed the Vfolder search
to point to the correct folder (same issue as in bug #144710 -- the folder
references aren't updated when importing).  Still nothing.  Clicked on the
folder it points to, ran the same search manually, and THEN the Vfolder showed
what it should have.

Next, I exited evolution and made sure all its processes were dead.  I then
restarted evolution, went to the Vfolder, got nothing again, and the cancel
button stayed lit up red like it was doing something.

Here's what it looks like (munged for privacy -- I also snipped out my local
saved mail folders since some of them identify relationships I don't want to
publicize) when I set the environment variables you asked for.	At the very end
of this output I have the Vfolder open, the cancel button is lit up in red, and
I can see nothing inside the Vfolder.
Comment 6 Matthew Barnes 2007-01-01 08:40:31 EST
Is this problem still present in Fedora Core 6 or later?
Comment 7 Per Nystrom 2007-01-01 12:11:57 EST
This went away after I upgraded to FC4.  Sorry for not getting back to you on
it.  We can close this bug.

Note You need to log in before you can comment on or make changes to this bug.